//============================================
// filename: initialization.c
// chip    : CSU8RP3216
// author  :
// date    : 2016-07-17
//============================================

//-------------------------------------------------
//Include Header
#include "CSU8RP3216.h"
#include "define_function.h"
#include "define_data.h"

//ĴοоƬûֲᣬûֲΪ׼
/*----------------------------------------------------------------------------
ƣF_Initial_MCU
ʼMcu
----------------------------------------------------------------------------*/
void MCU_Initialization(void)
{
	//-----------------------------------------------------------------	
	//״̬Ĵ
	//-----------------------------------------------------------------
	
	////////////////Ƕ뵥ʾ/////////////////////////////

	asm("clrf _STATUS");			//״̬Ĵ
	//-----------------------------------------------------------------	
	//MCKĴ
	//-----------------------------------------------------------------
	MCK 	= 0x80;					//MCK:(ϵĬֵΪ:1010uuu0)
									//Bit7   CST: ⲿ
									//	1 = ⲿر
									//	0 = ⲿ
									
									//Bit6   CST_IN: ڲ
									//	1 = ڲر
									//	0 = ڲ
									 
									//Bit5   CST_WDT: ڲWDT
									//	1 = ڲWDTر
									//	0 = ڲWDT									
									 
									//Bit4   EO_SLP: ⲿپλ
									//	1 = ѡⲿپ(32768Hz),sleepģʽ²رⲿ
									//	0 = sleepģʽ¹رⲿ
									
									//Bit0   CLKSEL: ʱԴѡλ
									//	0 = ڲϵͳʱ
									//	1 = ⲿϵͳʱ

	//-----------------------------------------------------------------
	//WDTCONĴ
	//˵ҪWDTҪWDT񿪹(CST_WDT)RAMǷҪ0	   
	//-----------------------------------------------------------------

									
	WDTCON	= 0x81;					//ʹܿŹ1.024sλ
									//WDTCON:(ϵĬֵΪ:0uuuu000)
									//Bit7   WDTEN: Źʹλ
									//	 0 = WDTر
									//   1 = WDT
									
									//Bit4   WDT_DLY: Źλʱʹλ
									//	 0 = WDTλʱ
									//   1 = WDTλʱ8ms
									
									//Bit[2-0]	wdtswdtinΪ11111111bʱ 
									//			000   ʱΪ 2048ms    
									//			001   ʱΪ 1024ms    
									//			010   ʱΪ 512ms     
									//			011   ʱΪ 256ms     
									//			100   ʱΪ 128ms     
									//			101   ʱΪ 64ms      
									//			110   ʱΪ 32ms      
									//			111   ʱΪ 16ms  
	
	WDTIN 	= 0xff;					//WDTIN:(ϵĬֵΪ:11111111)
									//WDTʱֵ	
									//WDTINFFHʱӦıлʱֵ
	//-----------------------------------------------------------------
	//RAM(ע⣺°CҪԼSRAMѾˣԲִһ)	
	//-----------------------------------------------------------------	
			
	//-----------------------------------------------------------------
	//ʼIO
	//-----------------------------------------------------------------							
	//-------------------------------
	//PT1˿[7:1]
	//-------------------------------
	PT1CON = 0x01;					//PT1CON:(ϵĬֵ:00000000)
									//Bit7   PT11OD: PT1.1©·ʹλ(ԱIOͬĵѹֵ)
									//	0 = ֹPT1.1©·
									//	1 = ʹPT1.1©·
								
									//Bit6   PT1W[3]: PT1.5ⲿж1ʹ
									// 	0 = ֹPT1.5ⲿж1 
									//	1 = ʹPT1.5ⲿж1
								
									//Bit5   PT1W[2]: PT1.4ⲿж1ʹ
									//	0 = ֹPT1.4ⲿж1 
									//	1 = ʹPT1.4ⲿж1
								
									//Bit4   PT1W[1]: PT1.3ⲿж1ʹ
									//	0 = ֹPT1.3ⲿж1 
									//	1 = ʹPT1.3ⲿж1
								
									//Bit3   PT1W[0]: PT1.1ⲿж1ʹ
									//	0 = ֹPT1.1ⲿж1 
									//	1 = ʹPT1.1ⲿж1
								
									//Bit2   E1M: ⲿж1ģʽ
									//	1 = ⲿж1Ϊ½ش
									//	0 = ⲿж1״̬ıʱ
								
									//Bit1-0 E0M[1:0]: ⲿж0ģʽ
									//	00 = ⲿж0Ϊ½ش
									//	01 = ⲿж0Ϊش
									//	10 = ⲿж0״̬ıʱ
									//	11 = ⲿж0״̬ıʱ	
	
	PT1CON1 = 0x00;					//PT1CON1(ϵĬֵuuuu0000)
	
									//Bit3   PT1W2[3]: PT3.1ⲿж1ʹ
									//	0 = ֹPT3.1ⲿж1 
									//	1 = ʹPT3.1ⲿж1
									//Bit2   PT1W2[2]: PT1.7ⲿж1ʹ
									//	0 = ֹPT1.7ⲿж1 
									//	1 = ʹPT1.7ⲿж1
									
									//Bit1   PT1W2[1]: PT1.6ⲿж1ʹ
									//	0 = ֹPT1.6ⲿж1 
									//	1 = ʹPT1.6ⲿж1
									
									//Bit0   PT1W2[0]: PT1.2ⲿж1ʹ
									//	0 = ֹPT1.2ⲿж1 
									//	1 = ʹPT1.2ⲿж1
		
	PT1EN = 0x30;					//PT1EN:(ϵĬֵ:0000u00u)
					 				//	0 = Ϊ(PT1.3 only input)
									//	1 = Ϊ
	
	PT1PU = 0x00;					//PT1PU:(ϵĬֵ:0000000u)
									//	0 = Ͽ
									//	1 = ʹ

	PT1 = 0x00;						//PT1:(ϵĬֵ:xxxxxxxu)	


	//-------------------------------
	//PT3˿[7:0]PT3.4ΪUARTͿڣP3.0ΪADģ
	//-------------------------------
	PT3CON	= 0x01;					//PT3CON:(ϵĬֵ:00000000)
									//Bit7-0 PT3CON[7:0]: GPIO3ģ/ֶ˿ʹܱ־
									//	0 = Ϊֿ
									//	1 = Ϊģ
	
	PT3EN = 0x65;					//PT3EN:(ϵĬֵ:00000000)
									//	0 = Ϊ
									//	1 = Ϊ	
									
	PT3PU = 0x00;					//PT3PU:(ϵĬֵ:00000000)
									//	0 = Ͽ
									//	1 = ʹ
									
	PT3	= 0x10;						//PT3:(ϵĬֵ:xxxxxxxx)

	//-------------------------------
	//PT5˿[2:0]
	//-------------------------------	
	PT5CON	=	0x00;				//PT5CON:(ϵĬֵ:00000000)
									//	[7:0]©·ʹλ
									//	0 = ֹPT5.3©·
									//	1 = ʹPT5.3©·
									
										
	PT5EN = 0x01;					//PT5EN:(ϵĬֵ:00000000)
	
	PT5PU = 0x00;					//PT5PU:(ϵĬֵ:00000000)

	PT5 =	0x00;					//PT5:(ϵĬֵ:xxxxxxxx)

	//-----------------------------------------------------------------
	//ADʼοѹVDDͨ1õAD
	//-----------------------------------------------------------------*/	
	SRADCON0 = 0x01;				//SRADCON0:(ϵĬֵΪ:uu00uu00)		
									//Bit5-4 SRADACKS[1:0]: 
									//	00 = 16SAR_ADCʱ(SAR_ADCźŻȡʱ/Ҫ>=4us)
									//	01 = 8SAR_ADCʱ
									//	10 = 4SAR_ADCʱ
									//	11 = 2SAR_ADCʱ
									
									//Bit1-0 SRADCKS[1:0]: SAR_ADCʱ
									//	00 = cpuclk(SAR_ADCʱ)
									//	01 = cpuclk/2
									//	10 = cpuclk/4
									//	11 = cpuclk/8

	
	SRADCON1 =	0x00;				//SRADCON1:(ϵĬֵΪ:00000000)	
									//Bit7   SRADEN: SAR_ADCʹλ
									//	1 = ʹ
									//	0 = ֹ
									
									//Bit6   SRADS: SAR_ADCλ/״̬λ 
									//	1 = ʼת
									//	0 = ֹͣת
									//	λSAR_ADCתתɻԶ0
									
									//Bit5   OFTEN: תѡλ
									//	1 = תSROFTĴ
									//	0 = תSRADĴ
									
									//Bit4   CALIF: Уλ(OFTENΪ0ʱЧ)
									//	1 = ʹУSAR_ADCתĽǼȥSROFTʧѹֵ
									//	0 = ֹУSAR_ADCתûмȥSROFTʧѹֵ

									//Bit3   ENOV: ʹܱȽģʽ(CALIFΪ1ʱЧ)
									//	1 = ʹܣֱǼȥĽ
									//	0 = ֹΪ000hΪfffh
									
									//Bit2   OFFEX: OFFSET
									//	1 = ȽźŽ
									//	0 = ȽźŲ(ΪźţΪοѹ)
									
									//Bit1-0 VREFS[1:0]: SAR_ADCοԴѡ
									//	00 = VDD
									//	01 = pt3.0ⲿοԴ
									//	10 = ڲοѹ
									//	11 = ڲοѹpt3.0ӵΪòοѹ˲ʹã߾    
		

	SRADCON2 = 0x10;				//SRADCON2:(ϵĬֵΪ:0000uuuu)		
									//Bit6-4 CHS[3:0]: SAR_ADCͨѡλ 
									//		0000 = AIN0 
									//		0001 = AIN1
									//		0010 = AIN2
									//		0011 = AIN3
									//		0100 = AIN4
									//		0101 = AIN5
									//		0110 = AIN6
									//		0111 = AIN7
									//  	1000 = AIN8                
									//		1001 = AIN9룬ڲ1/8VDD    
									//		1010 = AIN10룬ڲοѹ 
									//		1011 = AIN11룬ڲӵ     															
									//  	  = ڶ 
									
									//bit [1:0]	ref_sel[1:0]	
									//		vrefs[1:0] ADCοѹΪ2'b102'b11ͨREF_SEL [1:0]ѡοµѹ
									//							vrefs[1:0]Ϊ2'b102'b11λЧ
									//		ref_sel[1:0]	ڲοѹ
									//		00				1.4V
									//		01				2.0V
									//		10				3.0V
									//		11				4.0V
	SRADL=0;                          
	SRADH=0;							 
	//---------------------------------------------------------------
	//ʱ0ʼõʱ0  
	//----------------------------------------------------------------*/
	TM0CON	= 0xF0;					//öʱ0˴t0rate=cpu/128=4M/128=31.25K	=32us
									//TM0CON:(ϵĬֵΪ:0000u100)	
									//Bit7   T0EN: ʱ0ʹλ
									//	1 = ʹTM0											
									//	0 = ֹTM0
									
									//Bit6-4 T0RATE[2:0]: ʱ0ʱѡ
									//	000 = CKT0
									//	001 = CKT0/2
									//	010 = CKT0/4
									//	011 = CKT0/8
									//	100 = CKT0/16
									//	101 = CKT0/32
									//	110 = CKT0/64
									//  111 = CKT0/128									
									
									//Bit2   T0RSTB: ʱ0λ
									//	1 = ֹTM0λ
									//	0 = ʹTM0λ
									
									//Bit1-0  T0SEL[1:0]: ʱ0ʱԴ
									//	00 = CPUCLK
									//	01 = MCK
									//	10 = ⲿ32.768KHz
									//	11 = ڲ32KHz WDTʱ(WDTʱЧ)									
									
	TM0IN	=	124;				//tm0ʱΪ 32us*(124+1)=4ms	     
	                                //ʱ0ʱ㷽            
	                                //	ʱ0ʱ=(tm0in+1)/tm0clk 
	
	TM0CNT 	= 	0;				//嶨ʱ0Ĵֻ

	//-----------------------------------------------------------------
	//ʱ2ʼõʱ2ڴڷ
	//-----------------------------------------------------------------*/
  	TM2CON  = 0x00;		   			//TM2CON:(ϵĬֵΪ:00000100) 
									//Bit 7   T2EN: ʱ/2ʹλ
									//	1 = ʹTM2										
									//	0 = ֹTM2
									
									//Bit[6-4] T2RATE[2:0]: ʱ/2ʱѡ
									//	000 = CKT2
									//	001 = CKT2/2
									//	010 = CKT2/4
									//	011 = CKT2/8
									//	100 = CKT2/16
									//	101 = CKT2/32
									//	110 = CKT2/64
									//   111 = CKT2/128
									
									//Bit 3   T2CKS: ʱ/2ʱԴѡλ
									//	1 = PT1.0Ϊʱ
									//	0 = cpuclkķƵʱ
									
									//Bit 2   T2RSTB: ʱ/2λ
									//	1 = ֹTM2λ
									//	0 = ʹTM2λ
									
									//Bit[1-0]  T2OUT PWM2OUT: PT1.4(PT1.4ΪЧ)
									//				00 = IO
									//				01 = PWM2
									//				10 = 
									//				11 = PWM2
	
	TM2IN =0x00;					//嶨ʱ/2ֵ                                       	
	TM2INH=0x00;                    //ʱ2ʱ㷽                                  
	                                //   	ʱ2ʱ=tm2in[11:0]+1/tm2clk tm2inΪ0
	TM2R   = 0;						//嶨ʱ/2PWMߵƽռձȿƼĴ 
	TM2RH  = 0;	
	        
	TM2CNT  = 0;					//嶨ʱ/2Ĵ
	TM2CNTH	= 0;
	  	
//--------------------------------------------      
//ʱ/4ʼ                                
//--------------------------------------------
   
    TM4CON =0X80;	  			//öʱ4                                                
                                //tm4conϵ縴λֵΪ00000100                                                 
						        //Bit 7 		t4en 	ʱ/4ʹλ                                           
						        //       	1ʹܶʱ4                                                   
						        //       	0ֹʱ4                                                  
						        //                                                                        
						        //Bit[6:4] 	t4rate[2:0] 	ʱ/4ʱѡ                                
						        //			t4rate [2:0]	tm4clk	(CKT4ʱԴѡTMCON2Ĵt4sel[1:0]λ)               
						        //			000				ckt4                                                
						        //			001				ckt4 /2                                             
						        //			010				ckt4 /4                                             
						        //			011				ckt4 /8                                             
						        //			100				ckt4 /16                                            
						        //			101				ckt4 /32                                            
						        //			110				ckt4 /64                                            
						        //			111				ckt4 /128                                                                       
						        //                                                                        
						        //Bit 3 		t4cks	ʱ/4ʱԴѡλ                                    
						        //			1pt1.0Ϊʱ                                                        
						        //			0cpuclkmckķƵʱ                                
						        //                                                                        
						        //Bit 2 		t4rstb 	ʱ/4λ         
						        //			1ֹʱ/4λ                                                 
						        //			0ʹܶʱ/4λλΪ0ʱʱ4λt4rstbԶ1  
						        //                                                                        
						        //Bit 1:0  	t4out pwm4out 	pt1.6ƣpt1.6ΪʱЧ                               
						        //			0	 	0	 	IO                                        
						        //		 	0		1		PWM4                                       
						        //			1		0		                                   
						        //			1		1		PWM4                                      
							    
	TM4IN =25;				
    TM4INH =0;					//tm4Ϊ tm4clk/(tm4in[11:0]+1)= 4M/(25+1)= 153.8k
    							//ʱ4ʱ㷽
                                // 	ʱ4ʱ=tm4in[11:0]+1/tm4clk tm4inΪ0
                                
    TM4R =0;					
    TM4RH =0;					//嶨ʱ/4PWMߵƽռձȿƼĴ
                               
    TM4CNT =0;		            
    TM4CNTH	=0;					//嶨ʱ/4Ĵ
	//-----------------------------------------------------------------
	//ʱ3ʼ
	//-----------------------------------------------------------------*/	              
	TM3CON = 0x00;  				//öʱ3,ΪIO                                                                                                                 
	                            	//tm3conϵ縴λֵΪ00000100                                                                           	                            
						        	//Bit 7 		t3en 	ʱ/3ʹλ                                                                                                    
						        	//       	1ʹܶʱ3                                                                                                                
						        	//       	0ֹʱ3                                                                                                                    
						        	//                                                                                                             
						        	//Bit[6:4] 	t3rate[2:0] 	ʱ/2ʱѡ                                                              
						        	//			t3rate [3:0]	tm2clk	(t3rate[3]metchĴ)                                                
						        	//				000 = 		CKT2
									//				001 = 		CKT2/2
									//				010 = 		CKT2/4
									//				011 = 		CKT2/8
									//				100 = 		CKT2/16
									//				101 = 		CKT2/32
									//				110 = 		CKT2/64
									//  			 111 =		 CKT2/128                                                                  
                                                 
						        	//Bit 3 		t3cks	ʱ/3ʱԴѡλ                                                                  
						        	//			1pt1.1Ϊʱ                                                                                  
						        	//			0cpuclkmckķƵʱ                                                                          
						        	//                                                                                                             
						        	//Bit 2 		t3rstb 	ʱ/3λ                                                                          
						        	//			1ֹʱ/3λ                                                                           
						        	//			0ʹܶʱ/3λλΪ0ʱʱ3λt2rstbԶ1                            
						        	//                                                                                                             
						        	//Bit 1:0  	t3out pwm3out 	pt1.5ƣpt1.5ΪʱЧ                                        
						        	//			0	 	0	 	IO                                                                            
						        	//		 	0		1		PWM3                                                                          
						        	//			1		0		                                                                        
						        	//			1		1		PWM3                                                                          
							    	                                                                                                             
	TM3IN  = 0;					                                                                                                             
	TM3INH = 0;						//嶨ʱ/3ֵ                                                                                         
									//ʱ3ʱ㷽                                                                                    
	                            	// 	ʱ3ʱ=tm3in[11:0]+1/tm3clk tm3inΪ0                                                   
	                            	                                                                                                             
	TM3R = 0;   					                                                                                                             
	TM3RH = 0;						//嶨ʱ/3PWMߵƽռձȿƼĴ                                                                    
	                            	                                                                                                            
	TM3CNT = 0;              	                                                                                                          
	TM3CNTH	= 0;					//嶨ʱ/3Ĵ                                                                                     
  		
	TM3CON2 = 0x00;   				//ʱ                                                                                                 
									//tm3con2ϵ縴λֵΪ00000000                                                                          
									//Bit[7:6]	dt3ck[1:0]	ʱ3ʱʱѡ                                                               
									//			dt3ck[1:0]	dt3_clk                                                                               
									//			00       	mck                                                                                   
									//			01       	mck/2                                                                                 
									//			10       	mck/4                                                                                 
									//			11       	mck/8                                                                                 
									//                                                                                                             
									//Bit[5:3]	dt3cnt[2:0]	ʱѡ                                                                          
									//                        ʱ=dt3cnt[2:0]*dt3_clk                                                         
									//                                                                                                             
									//Bit 2		dt3_en		3ʹλ                                                                     
									//           0ʹ3                                                                              
									//           1ʹ3                                                                                
									//                                                                                                             
									//Bit 1 		p3h_oen		PWM3Hʹ                                                                     
									//           0PWM3H                                                                                    
									//           1PWM3HPT3.6                                                                               
									//                                                                                                             
									//Bit 0		p3l_oen		PWM3Lʹ                                                                     
									//           0PWM3L                                                                                    
									//           1PWM3LPT3.5 
									
									
  	TMCON=0X01;					//ûpwm3hpwm3l,pwm (ϵĬֵ00uuu000)
								//bit 7		p3hinv	PWM3Hȡλ 
								// 			0PWM3Hȡ
								// 			1PWM3Hȡ
								//
								//bit 6		p3linv	PWM3Lȡλ
								//			0PWM3Lȡ
								//			1PWM3Lȡ
								//
								//bit 2		pwm4po	PWM4ѡ
								//			0PT1.6ΪPWM4
								//			1PT3.6ΪPWM4
								//
								//bit 1		pwm3po	PWM3ѡ
								//			0PT1.5ΪPWM3
								//			1PT3.5ΪPWM3
								//
								//bit 0		pwm2po	PWM2ѡ
								//			0PT1.4ΪPWM2
								//			1PT5.0ΪPWM2
                              
								
	
	TMCON2=0X04;				//ʱʱѡ;(ϵĬֵuu000000)   
								//bit [5:4]	t4sel[1:0]	ʱ4ʱԴѡ
								//			t4sel[1:0]	ʱ4ʱԴ
								//			00			CPUCLK
								//			01			MCK
								//			1x			ⲿʱECK(ⲿⲿҾʱЧ)
                                //
								//bit [3:2]	t3sel[1:0]	ʱ3ʱԴѡ
								//			t3sel[1:0]	ʱ3ʱԴ
								//			00			CPUCLK
								//			01			MCK
								//			1x			ⲿʱECK(ⲿⲿҾʱЧ)
								//
								//bit [1:0]	t2sel[1:0]	ʱ2ʱԴѡ
								//			t2sel[1:0]	ʱ2ʱԴ(CKT2)
								//			00			CPUCLK
								//			01			MCK
								//			1x			ⲿʱECK(ⲿⲿҾʱЧ)
	//-----------------------------------------------------------------
	//UART,õUART
	//-----------------------------------------------------------------
		
	SCON1 = 0x50;					//SCON1:(ϵĬֵλ:000000uu)
									//Bit7-6 SM0 SM1: ͨŹʽ
									//		 ʽ      
									//		00 = 0      ͬ   BaudRate = Fcpuclk/6
									//		01 = 1      첽   
									//						   TM4/16(SMOD=1)
									//						   TM4/32(SMOD=0)
									//		10 = 2		첽   Fcpuclk/16(SMOD=0)
									//						   Fcpuclk/32(SMOD=1)
									//		11 = 3		첽  
									//					   		TM4/16(SMOD=1)
									//					   		TM4/32(SMOD=0)
									
									//Bit5   SM2: 
									
									//Bit4   REN: տѡ
									//	1 = 
									//   0 = ֹ
									
									//Bit3   TB8: ݵ9λ
									
									//Bit2   RB8: ݵ9λ
									
	
	SCON2 = 0xef;					//SCON2:(ϵĬֵ:000u0000)òΪ9600
									//Bit 7   SMOD: ѡĴ
									//		0ʱ0/2/3/432
									//		1ʱ0/2/3/416
									
									//bit[6:5]	URCLK[1:0]	UARTʱѡλ              
									//			URCLK [1:0]		UARTʱ                
									//          00   		ѡʱ0Ϊʱӣ   
									//                       SMOD=1Ϊ/16
									//                       SMOD=0Ϊ/32  
									//          01          ѡʱ2Ϊʱӣ   
									//                       SMOD=1Ϊ/16
									//                       SMOD=0Ϊ/32  
									//			10			ѡʱ3Ϊʱӣ   
									//                       SMOD=1Ϊ/16
									//                       SMOD=0Ϊ/32  
									//			11			ѡʱ4Ϊʱӣ   
									//                       SMOD=1Ϊ/16
									//                       SMOD=0Ϊ/32  									
																																																													   
									//bit 3		UARTEN		UARTģʹ                
									//         	0ʹUARTģ                           
									//          1ʹUARTģ                             
									//          رUARTģʹλ򲻻жϱ־λ
									
									//bit[2:0]  PINCTL[2:0] UARTͨſѡ                                                                 
									//          3b000      PT1.1PT1.2ͨIOڣPT3.3PT3.4ͨIO                                                
									//          3b001      PT1.1UARTͨſڣPT1EN[1]PT1.2ͨIOڣPT3.3PT3.4ͨIO                                                                                                                            
									//          3b010      PT1.2UARTͨſڣPT1EN[2]PT1.1ͨIOڣPT3.3PT3.4ͨIO                                              
									//          3b011      PT1.1PT1.2ֱUARTͨſRITI PT3.3PT3.4ͨIO                       
									//          3b100      PT1.1PT1.2ͨIOڣPT3.3PT3.4ͨIO                                    
									//          3b101      PT3.3UARTͨſڣPT3EN[3]PT3.4ͨIOڣPT1.1PT1.2ͨIO    
									//          3b110      PT3.4UARTͨſڣPT3EN[4]PT3.3ͨIOڣPT1.1PT1.2ͨIO    
									//          3b111      PT3.3PT3.4ֱUARTͨſRITI PT1.1PT1.2ͨIO                       
									//          	ѡͬͨŻͬʱҪзͺͽʱΪͨſڣ                   
									//          	PINCTL[2:0]Ϊ3bx11PINCTL[2:0]Ϊ3bx013bx10ʱ                  
									//          	ʱֻһͨſʹãʱͨſڿԷʱΪRITI                           
									//          	IOڵķλƣ磺PINCTL[2:0]Ϊ3b001ʱ                           
									//          	ʱֻPT1.1UARTͨſڣPT1EN[1]Ϊ0ʱPT1ΪRIڣPT1EN[1]Ϊ1ʱPT1ΪTIڡ										
	
	SBUF = 0;						//崮ݼĴ	
	//-----------------------------------------------------------------
	//жϳʼ
	//-----------------------------------------------------------------
	INTF =0X00;      	 		//жϱ־
								//intfϵ縴λֵΪu0u00u00
								//Bit 6 		tm2if		12-Bitʱ/2жϱ־㣬Ӳø
								//			1 = ʱжϣ0                               
								//			0 = ûʱж  
								//                                      
								//Bit 4 		tm0if		8-Bitʱ0жϱ־㣬Ӳø      
								//			1 = ʱжϣ0                              
								//			0 = ûʱж       
								//                                  
								//Bit 3 		sradif		ADжжϱ־㣬Ӳø            
								//			1 = ADжϣ0                                
								//			0 = ûADж   
								//                                       
								//Bit 1 		e1if		ⲿж1жϱ־㣬Ӳø           
								//			1 =ⲿж1жϣ0                           
								//			0 =ⲿж1ûж                                     
								//
								//Bit 0 		e0if		ⲿж0жϱ־㣬Ӳø          
								//			1 = ⲿж0жϣ0                          
								//			0 =ⲿж0ûж                                     
								//		    
	INTF2 =0X00;				//жϱ־
								//intf2ϵ縴λֵΪuuu0uuuu
								//Bit 5 		tm4if		12-Bitʱ/4жϱ־㣬Ӳø
                                //			1 = ʱжϣ0                              
	      	                    //			0 = ûʱж    
	                            //
								//Bit 4 		tm3if		12-Bitʱ/3жϱ־㣬Ӳø
                                //			1 = ʱжϣ0                              
	      	                    //			0 = ûʱж                                         
                                //
	INTF3 =0X00; 	    		//жϱ־
								//inte3ϵ縴λֵΪ0uuuuu00
								//Bit 7 		cmpif	Ƚжϱ־	
								//Bit 1 		urtif	UARTͨŷжϱ־
								//Bit 0 		urrif	UARTͨŽжϱ־       	          
	      	                    
	      	                    
	INTE =0X90;  				//жʹܡTM0жʹܡⲿж0ʹ
								//inteϵ縴λֵΪ00u00u00 
								//Bit 7 		gie			ȫжʹܱ־                
			         	     	//			1 = ʹзж                     
			         	     	//			0 = ʹж 
			         	     	//                       
			         	     	//Bit 6 		tm2ie		12-Bitʱ/2жʹܱ־
			         	     	//			1 = ʹܶʱ/2ж                   
			         	     	//			0 = ʹܶʱ/2ж  
			         	     	//              
			         	     	//Bit 4 		tm0ie		8-Bitʱ0жʹܱ־      
			         	     	//			1 = ʹܶʱ0ж                        
			         	     	//			0 = ʹܶʱ0ж                      
			         	     	//
			         	     	//Bit 3 		sradie		ADжʹܱ־               
			         	     	//			1 = ʹADж                             
			         	     	//			0 = ʹADж                           
			         	     	//
			         	     	//Bit 1 		e1ie		ⲿж1ʹܱ־              
			         	     	//			1 =ʹⲿж1                           
			         	     	//			0 = ʹⲿж1                        
			         	     	//
			         	     	//Bit 0 		e0ie		ⲿж0ʹܱ־              
			         	     	//			1 = ʹⲿж0                          
			         	     	//			0 = ʹⲿж0                        
			         	     	//		         	     	
	INTE2 =0X00; 	    		//رնʱ3,4жʹ
								//inte2ϵ縴λֵΪuu00uuuu
								//Bit 5 		tm4ie		12-Bitʱ/4жʹܱ־
								//			1 = ʹܶʱ/4ж
								//			0 = ʹܶʱ/4ж
	                            //
								//Bit 4 		tm3ie		12-Bitʱ/3жʹܱ־
								//			1 = ʹܶʱ/3ж
								//			0 = ʹܶʱ/3ж
	                            
	INTE3 =0X00; 	    		//رնʱ3жʹ
								//inte3ϵ縴λֵΪ0uuuuu00
								//Bit 7 		cmpie	Ƚжʹ
								//			1 = ʹܱȽж
								//			0 = ֹȽж
	                            //
								//Bit 1 		urtie	UARTķжʹ
								//			1 = ʹUARTķж    
								//			0 = ֹUARTķж   
								//
								//Bit 0 		urrie	UARTĽжʹ 
								//			1 = ʹUARTĽж      
		       	                //			0 = ֹUARTĽж     


}





